org.jbpm.process.audit

## Class ProcessInstanceLog

- java.lang.Object
- - org.jbpm.process.audit.ProcessInstanceLog

- All Implemented Interfaces:
    Serializable, AuditEvent, org.kie.api.runtime.manager.audit.ProcessInstanceLog

      @Entity
      public class ProcessInstanceLog
      extends Object
      implements Serializable, AuditEvent, org.kie.api.runtime.manager.audit.ProcessInstanceLog

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessInstanceLog()`
    `ProcessInstanceLog(long processInstanceId, String processId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getCorrelationKey()`
    `Long` | `getDuration()`
    `Date` | `getEnd()`
    `String` | `getExternalId()`
    `long` | `getId()`
    `String` | `getIdentity()`
    `String` | `getOutcome()`
    `Long` | `getParentProcessInstanceId()`
    `String` | `getProcessId()`
    `String` | `getProcessInstanceDescription()`
    `Long` | `getProcessInstanceId()`
    `String` | `getProcessName()`
    `Integer` | `getProcessType()`
    `String` | `getProcessVersion()`
    `Integer` | `getSlaCompliance()`
    `Date` | `getSlaDueDate()`
    `Date` | `getStart()`
    `Integer` | `getStatus()`
    `int` | `hashCode()`
    `void` | `setCorrelationKey(String correlationKey)`
    `void` | `setDuration(Long duration)`
    `void` | `setEnd(Date end)`
    `void` | `setExternalId(String domainId)`
    `void` | `setId(long id)`
    `void` | `setIdentity(String identity)`
    `void` | `setOutcome(String errorCode)`
    `void` | `setParentProcessInstanceId(long parentProcessInstanceId)`
    `void` | `setProcessId(String processId)`
    `void` | `setProcessInstanceDescription(String processInstanceDescription)`
    `void` | `setProcessInstanceId(long processInstanceId)`
    `void` | `setProcessName(String processName)`
    `void` | `setProcessType(Integer processType)`
    `void` | `setProcessVersion(String version)`
    `void` | `setSlaCompliance(Integer slaCompliance)`
    `void` | `setSlaDueDate(Date slaDueDate)`
    `void` | `setStart(Date start)`
    `void` | `setStatus(int status)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessInstanceLog

          public ProcessInstanceLog()

    - #### ProcessInstanceLog

          public ProcessInstanceLog(long processInstanceId,
                                    String processId)

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `AuditEvent`
      Specified by:
        `getProcessInstanceId` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setProcessInstanceId

          public void setProcessInstanceId(long processInstanceId)

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `AuditEvent`
      Specified by:
        `getProcessId` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setProcessId

          public void setProcessId(String processId)

    - #### getStart

          public Date getStart()

      Specified by:
        `getStart` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setStart

          public void setStart(Date start)

    - #### getEnd

          public Date getEnd()

      Specified by:
        `getEnd` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setEnd

          public void setEnd(Date end)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getStatus

          public Integer getStatus()

      Specified by:
        `getStatus` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setStatus

          public void setStatus(int status)

    - #### getParentProcessInstanceId

          public Long getParentProcessInstanceId()

      Specified by:
        `getParentProcessInstanceId` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setParentProcessInstanceId

          public void setParentProcessInstanceId(long parentProcessInstanceId)

    - #### getOutcome

          public String getOutcome()

      Specified by:
        `getOutcome` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setOutcome

          public void setOutcome(String errorCode)

    - #### getDuration

          public Long getDuration()

      Specified by:
        `getDuration` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setDuration

          public void setDuration(Long duration)

    - #### getIdentity

          public String getIdentity()

      Specified by:
        `getIdentity` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setIdentity

          public void setIdentity(String identity)

    - #### getExternalId

          public String getExternalId()

      Specified by:
        `getExternalId` in interface `AuditEvent`
      Specified by:
        `getExternalId` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setExternalId

          public void setExternalId(String domainId)

    - #### getProcessVersion

          public String getProcessVersion()

      Specified by:
        `getProcessVersion` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setProcessVersion

          public void setProcessVersion(String version)

    - #### getProcessName

          public String getProcessName()

      Specified by:
        `getProcessName` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setProcessName

          public void setProcessName(String processName)

    - #### getProcessInstanceDescription

          public String getProcessInstanceDescription()

      Specified by:
        `getProcessInstanceDescription` in interface `org.kie.api.runtime.manager.audit.ProcessInstanceLog`

    - #### setProcessInstanceDescription

          public void setProcessInstanceDescription(String processInstanceDescription)

    - #### getCorrelationKey

          public String getCorrelationKey()

    - #### setCorrelationKey

          public void setCorrelationKey(String correlationKey)

    - #### getProcessType

          public Integer getProcessType()

    - #### setProcessType

          public void setProcessType(Integer processType)

    - #### getSlaDueDate

          public Date getSlaDueDate()

    - #### setSlaDueDate

          public void setSlaDueDate(Date slaDueDate)

    - #### getSlaCompliance

          public Integer getSlaCompliance()

    - #### setSlaCompliance

          public void setSlaCompliance(Integer slaCompliance)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.